@Paveldjdhhd

Почему не устанавливаются плагины Vue cli?

Я пытался установить плагин router через yarn
yarn add router
и через npm
npm install vue-router

Выдает ошибку:
error An unexpected error occurred: "EPERM: operation not permitted, symlink '../../../parser/bin/babel-parser.js' -> '/vue-app/vueapp/node_modules/@babel/core/node_modules/.bin/parser'".
ERROR command failed: yarn add @vue/cli-plugin-router@~4.5.0 -D
в обоих случаях
  • Вопрос задан
  • 44 просмотра
Решения вопроса 1
Пригласить эксперта
Ответы на вопрос 1
@vihtort
Наблюдаю такую же ошибку, но у меня backend-проект, без каких либо клиентских библиотек.

error An unexpected error occurred: "EPERM: operation not permitted, symlink '../../../parser/bin/babel-parser.js' -> '/path/to/project/node_modules/@babel/core/node_modules/.bin/parser'".


Если вы, тоже как и я, поместили файлы проекта внутри вируальной машины в расшаренную между осями папку, то знайте, что vbox запрещает создавать симлинки в таких папках. Это можно исправить выполнив в хосте

прежде вируальную машину нужно выключить
VBoxManage setextradata "VM name" VBoxInternal2/SharedFoldersEnableSymlinksCreate/<sharename> 1


https://www.virtualbox.org/ticket/18572?cversion=0...

https://www.speich.net/articles/en/2018/12/24/virt...
Ответ написан
Ваш ответ на вопрос

Войдите, чтобы написать ответ

Войти через центр авторизации
Похожие вопросы